Bug 134156 - Unable to build updated: e2fsprogs-libuuid-1.41.5
Unable to build updated: e2fsprogs-libuuid-1.41.5
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Martin Wilke
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-02 11:50 UTC by gerard
Modified: 2009-05-16 23:40 UTC (History)
0 users

See Also:


Attachments
p1 (4.81 KB, text/plain; charset=us-ascii)
2009-05-06 20:24 UTC, matthias.andree
no flags Details
p1 (4.98 KB, application/octet-stream)
2009-05-07 00:13 UTC, matthias.andree
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description gerard 2009-05-02 11:50:01 UTC
Repeated attempts to build the updated e2fsprogs-libuuid-1.41.5 port have failed. It continually hangs at the same point in the build. A copy of the build attempt can be viewed here: http://pastebin.ca/1410253

I am also pasting the log file here:

Script started on Sat May  2 06:33:12 2009
===>  Found saved configuration for e2fsprogs-libuuid-1.41.5
=> e2fsprogs-1.41.5.tar.gz doesn't seem to exist in /usr/ports/distfiles/.
=> Attempting to fetch from http://easynews.dl.sourceforge.net/sourceforge/e2fsprogs/.

e2fsprogs-1.41.5.tar.gz                         0% of 4312 kB    0  Bps
e2fsprogs-1.41.5.tar.gz                         4% of 4312 kB  237 kBps
e2fsprogs-1.41.5.tar.gz                        18% of 4312 kB  424 kBps
e2fsprogs-1.41.5.tar.gz                        31% of 4312 kB  474 kBps
e2fsprogs-1.41.5.tar.gz                        45% of 4312 kB  502 kBps
e2fsprogs-1.41.5.tar.gz                        58% of 4312 kB  521 kBps
e2fsprogs-1.41.5.tar.gz                        73% of 4312 kB  532 kBps
e2fsprogs-1.41.5.tar.gz                        86% of 4312 kB  541 kBps
e2fsprogs-1.41.5.tar.gz                       100% of 4312 kB  551 kBps
===>  Extracting for e2fsprogs-libuuid-1.41.5
=> MD5 Checksum OK for e2fsprogs-1.41.5.tar.gz.
=> SHA256 Checksum OK for e2fsprogs-1.41.5.tar.gz.
===>  Patching for e2fsprogs-libuuid-1.41.5
===>  Applying FreeBSD patches for e2fsprogs-libuuid-1.41.5
/usr/bin/sed -i.bak -e 's,/var/lib/libuuid,/var/run/libuuid,g'  -e 's,/usr/sbin/uuidd,/usr/local/sbin/uuidd,'  /usr/ports/misc/e2fsprogs-libuuid/work/e2fsprogs-1.41.5/lib/uuid/uuidd.h
===>   e2fsprogs-libuuid-1.41.5 depends on executable: gmake - found
===>  Configuring for e2fsprogs-libuuid-1.41.5
Generating configuration file for e2fsprogs version 1.41.5
Release date is April, 2009
checking build system type... i386-portbld-freebsd6.4
checking host system type... i386-portbld-freebsd6.4
CC=cc
checking for gcc... cc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables... 
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether cc accepts -g... yes
checking for cc option to accept ISO C89... none needed
checking how to run the C preprocessor... cc -E
LD=ld
CCOPTS is -O2 -fno-strict-aliasing -pipe -march=pentium2
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking linux/fs.h usability... no
checking linux/fs.h presence... no
checking for linux/fs.h... no
checking for additional special compiler flags... (none)
Disabling maintainer mode by default
Disabling compression support by default
Enabling htree directory support by default
Enabling ELF shared libraries
Disabling BSD shared libraries by default
Disabling profiling libraries by default
Disabling checker libraries by default
Disabling journal debugging by default
Disabling blkid debugging by default
Enabling testio debugging by default
checking for pkg-config... /usr/local/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
Enabling private blkid library by default
Enabling debugfs support by default
Enabling e2image support by default
Enabling e2resize support by default
Not building fsck wrapper
Not building e2initrd helper
Try using thread local support by default
checking for thread local storage (TLS) class... __thread
Building uuidd by default
checking whether gmake sets $(MAKE)... yes
checking for a BSD-compatible install... /usr/bin/install -c -o root -g wheel
checking whether NLS is requested... no
checking for msgfmt... /usr/local/bin/msgfmt
checking for gmsgfmt... /usr/local/bin/msgfmt
checking for xgettext... /usr/local/bin/xgettext
checking for msgmerge... /usr/local/bin/msgmerge
checking for ranlib... ranlib
checking for strerror in -lcposix... no
checking for an ANSI C-conforming const... yes
checking for signed... yes
checking for inline... inline
checking for off_t... yes
checking for size_t... yes
checking for long long... yes
checking for long double... yes
checking for wchar_t... yes
checking for wint_t... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for intmax_t... yes
checking whether printf() supports POSIX/XSI format strings... yes
checking for working alloca.h... no
checking for alloca... yes
checking for stdlib.h... (cached) yes
checking for unistd.h... (cached) yes
checking for getpagesize... yes
checking for working mmap... yes
checking whether we are using the GNU C Library 2.1 or newer... no
checking whether integer division by zero raises SIGFPE... yes
checking for unsigned long long... yes
checking for inttypes.h... yes
checking whether the inttypes.h PRIxNN macros are broken... no
checking for stdint.h... (cached) yes
checking for SIZE_MAX... yes
checking for stdint.h... (cached) yes
checking for ld used by GCC... ld
checking if the linker (ld) is GNU ld... yes
checking for shared library run path origin... done
checking for ptrdiff_t... yes
checking argz.h usability... no
checking argz.h presence... no
checking for argz.h... no
checking limits.h usability... yes
checking limits.h presence... yes
checking for limits.h... yes
checking locale.h usability... yes
checking locale.h presence... yes
checking for locale.h... yes
checking nl_types.h usability... yes
checking nl_types.h presence... yes
checking for nl_types.h... yes
checking stddef.h usability... yes
checking stddef.h presence... yes
checking for stddef.h... yes
checking for stdlib.h... (cached) yes
checking for string.h... (cached) yes
checking for unistd.h... (cached) yes
checking sys/param.h usability... yes
checking sys/param.h presence... yes
checking for sys/param.h... yes
checking for asprintf... yes
checking for fwprintf... yes
checking for getcwd... yes
checking for getegid... yes
checking for geteuid... yes
checking for getgid... yes
checking for getuid... yes
checking for mempcpy... no
checking for munmap... yes
checking for putenv... yes
checking for setenv... yes
checking for setlocale... yes
checking for snprintf... yes
checking for stpcpy... yes
checking for strcasecmp... yes
checking for strdup... yes
checking for strtoul... yes
checking for tsearch... yes
checking for wcslen... yes
checking for __argz_count... no
checking for __argz_stringify... no
checking for __argz_next... no
checking for __fsetlocking... no
checking whether _snprintf is declared... no
checking whether _snwprintf is declared... no
checking whether feof_unlocked is declared... yes
checking whether fgets_unlocked is declared... no
checking whether getc_unlocked is declared... yes
checking for iconv... yes
checking how to link with libiconv... /usr/local/lib/libiconv.so -Wl,-rpath -Wl,/usr/local/lib
checking for iconv declaration... 
         extern size_t iconv (iconv_t cd, const char * *inbuf, size_t *inbytesleft, char * *outbuf, size_t *outbytesleft);
checking for nl_langinfo and CODESET... yes
checking for LC_MESSAGES... yes
checking for bison... bison
checking version of bison... 2.4.1, ok
checking whether NLS is requested... no
checking whether to use NLS... no
checking whether gmake sets $(MAKE)... (cached) yes
checking for ln... /bin/ln
checking whether ln -s works... yes
checking for mv... /bin/mv
checking for cp... /bin/cp
checking for rm... /bin/rm
checking for chmod... /bin/chmod
checking for gawk... gawk
checking for egrep... (cached) /usr/bin/grep -E
checking for sed... /usr/bin/sed
checking for perl... /usr/local/bin/perl
checking for ldconfig... /sbin/ldconfig
checking for ar... ar
checking for ranlib... (cached) ranlib
checking for strip... strip
checking for makeinfo... makeinfo
checking for a BSD-compatible install... /usr/bin/install -c -o root -g wheel
checking dirent.h usability... yes
checking dirent.h presence... yes
checking for dirent.h... yes
checking errno.h usability... yes
checking errno.h presence... yes
checking for errno.h... yes
checking getopt.h usability... yes
checking getopt.h presence... yes
checking for getopt.h... yes
checking malloc.h usability... no
checking malloc.h presence... no
checking for malloc.h... no
checking mntent.h usability... no
checking mntent.h presence... no
checking for mntent.h... no
checking paths.h usability... yes
checking paths.h presence... yes
checking for paths.h... yes
checking semaphore.h usability... yes
checking semaphore.h presence... yes
checking for semaphore.h... yes
checking setjmp.h usability... yes
checking setjmp.h presence... yes
checking for setjmp.h... yes
checking signal.h usability... yes
checking signal.h presence... yes
checking for signal.h... yes
checking stdarg.h usability... yes
checking stdarg.h presence... yes
checking for stdarg.h... yes
checking for stdint.h... (cached) yes
checking for stdlib.h... (cached) yes
checking termios.h usability... yes
checking termios.h presence... yes
checking for termios.h... yes
checking termio.h usability... no
checking termio.h presence... no
checking for termio.h... no
checking for unistd.h... (cached) yes
checking utime.h usability... yes
checking utime.h presence... yes
checking for utime.h... yes
checking linux/fd.h usability... no
checking linux/fd.h presence... no
checking for linux/fd.h... no
checking linux/major.h usability... no
checking linux/major.h presence... no
checking for linux/major.h... no
checking net/if_dl.h usability... yes
checking net/if_dl.h presence... yes
checking for net/if_dl.h... yes
checking netinet/in.h usability... yes
checking netinet/in.h presence... yes
checking for netinet/in.h... yes
checking sys/disklabel.h usability... yes
checking sys/disklabel.h presence... yes
checking for sys/disklabel.h... yes
checking sys/file.h usability... yes
checking sys/file.h presence... yes
checking for sys/file.h... yes
checking sys/ioctl.h usability... yes
checking sys/ioctl.h presence... yes
checking for sys/ioctl.h... yes
checking sys/mkdev.h usability... no
checking sys/mkdev.h presence... no
checking for sys/mkdev.h... no
checking sys/mman.h usability... yes
checking sys/mman.h presence... yes
checking for sys/mman.h... yes
checking sys/prctl.h usability... no
checking sys/prctl.h presence... no
checking for sys/prctl.h... no
checking sys/queue.h usability... yes
checking sys/queue.h presence... yes
checking for sys/queue.h... yes
checking sys/resource.h usability... yes
checking sys/resource.h presence... yes
checking for sys/resource.h... yes
checking sys/select.h usability... yes
checking sys/select.h presence... yes
checking for sys/select.h... yes
checking sys/socket.h usability... yes
checking sys/socket.h presence... yes
checking for sys/socket.h... yes
checking sys/sockio.h usability... yes
checking sys/sockio.h presence... yes
checking for sys/sockio.h... yes
checking for sys/stat.h... (cached) yes
checking sys/syscall.h usability... yes
checking sys/syscall.h presence... yes
checking for sys/syscall.h... yes
checking sys/sysmacros.h usability... no
checking sys/sysmacros.h presence... no
checking for sys/sysmacros.h... no
checking sys/time.h usability... yes
checking sys/time.h presence... yes
checking for sys/time.h... yes
checking for sys/types.h... (cached) yes
checking sys/un.h usability... yes
checking sys/un.h presence... yes
checking for sys/un.h... yes
checking sys/wait.h usability... yes
checking sys/wait.h presence... yes
checking for sys/wait.h... yes
checking for sys/disk.h... yes
checking for sys/mount.h... no
checking for net/if.h... no
checking for vprintf... yes
checking for _doprnt... no
checking for struct dirent.d_reclen... yes
checking for ssize_t... yes
checking whether llseek is declared... no
checking whether lseek64 is declared... no
checking for short... yes
checking size of short... 2
checking for int... yes
checking size of int... 4
checking for long... yes
checking size of long... 4
checking for long long... (cached) yes
checking size of long long... 8
checking whether byte ordering is bigendian... no
<stdin>:1:23: asm/types.h: No such file or directory
asm_types.c:12:2: warning: #warning __U8_TYPEDEF not defined
asm_types.c:21:2: warning: #warning __S8_TYPEDEF not defined
asm_types.c:30:2: warning: #warning __U16_TYPEDEF not defined
asm_types.c:39:2: warning: #warning __S16_TYPEDEF not defined
asm_types.c:49:2: warning: #warning __U32_TYPEDEF not defined
asm_types.c:58:2: warning: #warning __S32_TYPEDEF not defined
asm_types.c:68:2: warning: #warning __U64_TYPEDEF not defined
asm_types.c:77:2: warning: #warning __S64_TYPEDEF not defined
checking for inttypes.h... (cached) yes
checking for intptr_t... yes
checking whether struct stat has a st_flags field... yes
checking whether st_flags field is useful... yes
checking for struct sockaddr.sa_len... yes
checking for chflags... yes
checking for getrusage... yes
checking for llseek... no
checking for lseek64... no
checking for open64... no
checking for fstat64... no
checking for ftruncate64... no
checking for getmntinfo... yes
checking for strtoull... yes
checking for strcasecmp... (cached) yes
checking for srandom... yes
checking for jrand48... yes
checking for fchown... yes
checking for mallinfo... no
checking for fdatasync... no
checking for strnlen... no
checking for strptime... yes
checking for strdup... (cached) yes
checking for sysconf... yes
checking for pathconf... yes
checking for posix_memalign... no
checking for memalign... no
checking for valloc... yes
checking for __secure_getenv... no
checking for prctl... no
checking for mmap... yes
checking for utime... yes
checking for setresuid... yes
checking for setresgid... yes
checking for usleep... yes
checking for nanosleep... yes
checking for getdtablesize... yes
checking for getrlimit... yes
checking for socket in -lsocket... no
checking for dlopen in -ldl... no
checking for optreset... yes
checking for sem_init... yes
checking for unified diff option... -u
checking whether linker accepts -static... yes
configure: creating ./config.status
config.status: creating MCONFIG
config.status: creating Makefile
config.status: creating e2fsprogs.spec
config.status: creating util/Makefile
config.status: creating util/subst.conf
config.status: creating util/gen-tarball
config.status: creating lib/et/Makefile
config.status: creating lib/ss/Makefile
config.status: creating lib/e2p/Makefile
config.status: creating lib/ext2fs/Makefile
config.status: creating lib/ext2fs/ext2_types.h
config.status: creating lib/uuid/Makefile
config.status: creating lib/uuid/uuid_types.h
config.status: creating lib/blkid/Makefile
config.status: creating lib/blkid/blkid_types.h
config.status: creating lib/ss/ss.pc
config.status: creating lib/uuid/uuid.pc
config.status: creating lib/et/com_err.pc
config.status: creating lib/e2p/e2p.pc
config.status: creating lib/blkid/blkid.pc
config.status: creating lib/ext2fs/ext2fs.pc
config.status: creating misc/Makefile
config.status: creating ext2ed/Makefile
config.status: creating e2fsck/Makefile
config.status: creating debugfs/Makefile
config.status: creating tests/Makefile
config.status: creating tests/progs/Makefile
config.status: creating resize/Makefile
config.status: creating doc/Makefile
config.status: creating intl/Makefile
config.status: creating po/Makefile.in
config.status: executing default-1 commands
config.status: creating po/POTFILES
config.status: creating po/Makefile
===>  Building for e2fsprogs-libuuid-1.41.5
/bin/mkdir -p /usr/ports/misc/e2fsprogs-libuuid/work/e2fsprogs-1.41.5/lib/uuid/elfshared
cd ./util ; gmake subst
gmake[1]: Entering directory `/usr/ports/misc/e2fsprogs-libuuid/work/e2fsprogs-1.41.5/util'
	CC subst.c
	LD subst
gmake[1]: Leaving directory `/usr/ports/misc/e2fsprogs-libuuid/work/e2fsprogs-1.41.5/util'
gmake[1]: Entering directory `/usr/ports/misc/e2fsprogs-libuuid/work/e2fsprogs-1.41.5'
cd .; CONFIG_FILES=./lib/ext2fs/ext2_types.h ./config.status
config.status: creating ./lib/ext2fs/ext2_types.h
config.status: executing default-1 commands
gmake[1]: Leaving directory `/usr/ports/misc/e2fsprogs-libuuid/work/e2fsprogs-1.41.5'
gmake[1]: Entering directory `/usr/ports/misc/e2fsprogs-libuuid/work/e2fsprogs-1.41.5'
cd .; CONFIG_FILES=./lib/blkid/blkid_types.h ./config.status
config.status: creating ./lib/blkid/blkid_types.h
config.status: executing default-1 commands
gmake[1]: Leaving directory `/usr/ports/misc/e2fsprogs-libuuid/work/e2fsprogs-1.41.5'
gmake[1]: Entering directory `/usr/ports/misc/e2fsprogs-libuuid/work/e2fsprogs-1.41.5'
cd .; CONFIG_FILES=./lib/uuid/uuid_types.h ./config.status
config.status: creating ./lib/uuid/uuid_types.h
config.status: executing default-1 commands
gmake[1]: Leaving directory `/usr/ports/misc/e2fsprogs-libuuid/work/e2fsprogs-1.41.5'
gmake[1]: Entering directory `/usr/ports/misc/e2fsprogs-libuuid/work/e2fsprogs-1.41.5/lib/et'
	SUBST compile_et
gmake[1]: Leaving directory `/usr/ports/misc/e2fsprogs-libuuid/work/e2fsprogs-1.41.5/lib/et'
gmake[1]: Entering directory `/usr/ports/misc/e2fsprogs-libuuid/work/e2fsprogs-1.41.5/lib/ext2fs'
	SUBST ext2_err.et
	COMPILE_ET ext2_err.et
gmake[1]: Leaving directory `/usr/ports/misc/e2fsprogs-libuuid/work/e2fsprogs-1.41.5/lib/ext2fs'
making all in lib/uuid
gmake[1]: Entering directory `/usr/ports/misc/e2fsprogs-libuuid/work/e2fsprogs-1.41.5/lib/uuid'
gmake[2]: Entering directory `/usr/ports/misc/e2fsprogs-libuuid/work/e2fsprogs-1.41.5/lib/uuid'
	MKDIR elfshared
gmake[2]: Leaving directory `/usr/ports/misc/e2fsprogs-libuuid/work/e2fsprogs-1.41.5/lib/uuid'
	CC clear.c
	CC compare.c
	CC copy.c
	CC gen_uuid.c
	CC isnull.c
	CC pack.c
	CC parse.c
	CC unpack.c
	CC unparse.c
	CC uuid_time.c
	GEN_LIB libuuid.a
	GEN_ELF_SOLIB libuuid.so.1.2
	CC tst_uuid.o
	LD tst_uuid
	LD uuid_time
	SUBST uuid.3
	SUBST uuid_clear.3
	SUBST uuid_compare.3
	SUBST uuid_copy.3
	SUBST uuid_generate.3
	SUBST uuid_is_null.3
	SUBST uuid_parse.3
	SUBST uuid_time.3
	SUBST uuid_unparse.3
gmake[1]: Leaving directory `/usr/ports/misc/e2fsprogs-libuuid/work/e2fsprogs-1.41.5/lib/uuid'
cd /usr/ports/misc/e2fsprogs-libuuid/work/e2fsprogs-1.41.5/misc && make uuidgen uuidgen.1 uuidd uuidd.8
	CC ./uuidgen.c
	LD uuidgen
	SUBST uuidgen.1
	CC uuidd.c
	LD uuidd
	SUBST uuidd.8
cd /usr/ports/misc/e2fsprogs-libuuid/work/e2fsprogs-1.41.5/lib/uuid && make check
LD_LIBRARY_PATH=../../lib DYLD_LIBRARY_PATH=../../lib ./tst_uuid
UUID generate = ed91f23c-f2b5-4b4a-b068-fb953a953ed8
UUID: ed91f23cf2b54b4ab068fb953a953ed8
UUID type = 4, UUID variant = 1

UUID random string = 34dae120-a872-4dd5-9de1-3828c47fc33f
UUID: 34dae120a8724dd59de13828c47fc33f
UUID type = 4, UUID variant = 1

^C
Script done on Sat May  2 06:35:03 2009

How-To-Repeat: Attempt to build the port.
Comment 1 Martin Wilke freebsd_committer 2009-05-02 13:28:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2009-05-05 00:05:33 UTC
State Changed
From-To: open->analyzed

- set to analyze
Comment 3 matthias.andree 2009-05-05 00:05:54 UTC
Does it help to add --disable-tls to CONFIGURE_ARGS?

-- 
Matthias Andree
Comment 4 matthias.andree 2009-05-06 13:33:29 UTC
Folks,

I cannot yet reproduce this on a FreeBSD 6.4-RELEASE that I'm running in a  
virtual machine, but I have reports of FreeBSD 6.4 failing.

I need the following info from you - usually the output of a command:

1   - pkg_info -W /usr/local/sbin/uuidd
2+3 - before and after the build: ps ax | grep 'uu[i]dd'
4+5 - before and after the build: ls -l /var/run/libuuid
6   - cat /var/run/libuuid/uuidd.pid
7   - make -V SU_CMD
8   - sysctl kern.securelevel
9   - are you running the build as regular user or as root?
10  - are you building inside a jail or chroot?
11  - cat /etc/rc.conf
12  - cat /etc/make.conf
13  - anything else you may think might help debug this

I am aware that for one user, SMP works and Uniprocessor does not.

-- 
Matthias Andree
Comment 5 matthias.andree 2009-05-06 20:23:00 UTC
Greetings,

the attached patch changes two ports and should fix this bug.

* misc/e2fsprogs-libuuid:

  - bump revision, as we're changing files and fixing a bug even for
    those who had successfully built libuuid before
  - patch one more source file to make sure the clock.txt state file
    gets saved to the right directory
  - try to run the newly-build uuidd for our self-test (ignoring
    failures, as they are non-fatal)
  - (the actual build fix is inherited from the other port)

* sysutils/e2fsprogs:

  - add files/patch-uuid-loop to actually fix the "self-test does not
    terminate" bug. What causes the client to see EOF prematurely or the
    server to fail to send a response remains unknown, but we'll fix the
    worse part of the issue: loop on EOF (read returning 0).

diffstat:

 misc/e2fsprogs-libuuid/Makefile          |    9 +-
 misc/e2fsprogs-libuuid/files/uuidd.in    |    8 +-
 sysutils/e2fsprogs/files/patch-uuid-loop |  117 +++++++++++++++++++++++++++++++
3 files changed, 129 insertions(+), 5 deletions(-)

-- 
Matthias Andree
Comment 6 matthias.andree 2009-05-06 20:24:38 UTC
[resent with patch]

Greetings,

the attached patch changes two ports and should fix this bug.

* misc/e2fsprogs-libuuid:

  - bump revision, as we're changing files and fixing a bug even for
    those who had successfully built libuuid before
  - patch one more source file to make sure the clock.txt state file
    gets saved to the right directory
  - try to run the newly-build uuidd for our self-test (ignoring
    failures, as they are non-fatal)
  - (the actual build fix is inherited from the other port)

* sysutils/e2fsprogs:

  - add files/patch-uuid-loop to actually fix the "self-test does not
    terminate" bug. What causes the client to see EOF prematurely or the
    server to fail to send a response remains unknown, but we'll fix the
    worse part of the issue: loop on EOF (read returning 0).

diffstat:

 misc/e2fsprogs-libuuid/Makefile          |    9 +-
 misc/e2fsprogs-libuuid/files/uuidd.in    |    8 +-
 sysutils/e2fsprogs/files/patch-uuid-loop |  117 +++++++++++++++++++++++++++++++
3 files changed, 129 insertions(+), 5 deletions(-)

-- 
Matthias Andree
Comment 7 matthias.andree 2009-05-07 00:13:48 UTC
The patch as attachment, in the hopes that GNATS will add a download
button...

-- 
Matthias Andree
Comment 8 Mark Linimon freebsd_committer 2009-05-12 23:03:50 UTC
State Changed
From-To: analyzed->open

new patch received from maintainer.
Comment 9 dfilter freebsd_committer 2009-05-16 23:37:09 UTC
miwi        2009-05-16 22:36:57 UTC

  FreeBSD ports repository

  Modified files:
    misc/e2fsprogs-libuuid Makefile 
    misc/e2fsprogs-libuuid/files uuidd.in 
  Added files:
    sysutils/e2fsprogs/files patch-uuid-loop 
  Log:
  * misc/e2fsprogs-libuuid:
  
  - bump revision, as we're changing files and fixing a bug even for
    those who had successfully built libuuid before
  - patch one more source file to make sure the clock.txt state file
    gets saved to the right directory
  - try to run the newly-build uuidd for our self-test (ignoring
    failures, as they are non-fatal)
  - (the actual build fix is inherited from the other port)
  
  * sysutils/e2fsprogs:
  
  - add files/patch-uuid-loop to actually fix the "self-test does not
    terminate" bug. What causes the client to see EOF prematurely or the
    server to fail to send a response remains unknown, but we'll fix the
    worse part of the issue: loop on EOF (read returning 0).
  
  PR:             134156
  Submitted by:   Matthias Andree <matthias.andree@gmx.de> (maintainer)
  
  Revision  Changes    Path
  1.10      +6 -3      ports/misc/e2fsprogs-libuuid/Makefile
  1.3       +6 -2      ports/misc/e2fsprogs-libuuid/files/uuidd.in
  1.1       +109 -0    ports/sysutils/e2fsprogs/files/patch-uuid-loop (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 Martin Wilke freebsd_committer 2009-05-16 23:37:10 UTC
State Changed
From-To: open->closed

Committed. Thanks!